*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:Arial;
}

body{
    background:#f5f5f5;
}

/* TOP BAR */

.top-bar{
    background:green;
    color:white;
    text-align:center;
    padding:10px;
    font-size:15px;
}

/* HEADER */

header{
    background:white;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:20px 5%;
    flex-wrap:wrap;
}

.logo h1{
    color:green;
    font-size:35px;
}

.logo p{
    font-size:14px;
    color:#555;
}

/* SEARCH BOX */

.search-box{
    display:flex;
    width:40%;
}

.search-box input{
    width:100%;
    padding:12px;
    border:1px solid #ccc;
    outline:none;
    border-radius:5px 0 0 5px;
}

.search-box button{
    background:green;
    color:white;
    border:none;
    padding:12px 20px;
    cursor:pointer;
    border-radius:0 5px 5px 0;
}

/* HEADER ICONS */

.header-icons{
    display:flex;
    gap:20px;
    font-size:15px;
}

.header-icons div{
    cursor:pointer;
}

/* NAVBAR */

nav{
    background:#0c4b16;
    padding:15px 5%;
}

nav a{
    color:white;
    text-decoration:none;
    margin-right:25px;
    font-size:16px;
}

nav a:hover{
    color:yellow;
}

/* MAIN SECTION */

.main-section{
    display:flex;
    gap:20px;
    padding:30px 5%;
}

/* SIDEBAR */

.sidebar{
    width:25%;
    background:white;
    padding:20px;
    border-radius:10px;
}

.sidebar h2{
    margin-bottom:20px;
}

.sidebar ul{
    list-style:none;
}

.sidebar ul li{
    padding:12px 0;
    border-bottom:1px solid #eee;
    cursor:pointer;
}

/* BANNER */

.banner{
    flex:1;
    min-height:500px;
    background:url('../images/banner.jpg');
    background-size:cover;
    background-position:center;
    border-radius:15px;
    padding:100px;
    color:white;
}

.banner-text h1{
    font-size:50px;
    margin-bottom:20px;
}

.banner-text p{
    font-size:20px;
    margin-bottom:20px;
}

.banner button{
    background:green;
    color:white;
    border:none;
    padding:15px 30px;
    font-size:16px;
    border-radius:5px;
    cursor:pointer;
}

/* FEATURES */

.features{
    display:flex;
    justify-content:space-between;
    gap:20px;
    padding:0 5% 30px;
}

.feature-box{
    background:white;
    width:100%;
    text-align:center;
    padding:20px;
    border-radius:10px;
    font-weight:bold;
}

/* PRODUCTS */

.products{
    padding:20px 5%;
}

.products h2{
    text-align:center;
    margin-bottom:30px;
    font-size:35px;
}

.product-container{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:20px;
}

/* PRODUCT CARD */

.product-card{
    background:white;
    padding:20px;
    border-radius:10px;
    text-align:center;
    transition:0.3s;
}

.product-card:hover{
    transform:translateY(-5px);
}

.product-card img{
    width:100%;
    height:220px;
    object-fit:contain;
}

.product-card h3{
    margin:15px 0;
}

.price{
    color:green;
    font-size:22px;
    font-weight:bold;
    margin-bottom:15px;
}

.rating{
    color:#f4b400;
    margin:10px 0;
    font-size:15px;
    display:flex;
    align-items:center;
    gap:3px;
}

.rating{
    color:#f4b400;
    margin:10px 0;
    font-size:15px;
}
.rating{
    color:black;
    font-size:15px;
    margin:10px 0;
    font-weight:500;
}
.product-card button{
    width:100%;
    background:#0b7a1d;
    color:white;
    border:none;
    padding:14px;
    border-radius:8px;
    font-size:16px;
    cursor:pointer;
}

/* WHATSAPP */

.whatsapp{
    position:fixed;
    bottom:20px;
    right:20px;
    background:#25D366;
    color:white;
    width:60px;
    height:60px;
    border-radius:50%;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:30px;
    text-decoration:none;
}

/* FOOTER */

footer{
    background:#0c4b16;
    color:white;
    text-align:center;
    padding:20px;
    margin-top:40px;
}

/* MOBILE RESPONSIVE */

@media(max-width:992px){

    .main-section{
        flex-direction:column;
    }

    .sidebar{
        width:100%;
    }

    .banner{
        width:100%;
    }

    .product-container{
        grid-template-columns:repeat(2,1fr);
    }

}

@media(max-width:600px){

    header{
        flex-direction:column;
        gap:20px;
    }